module OperationsHelper

  def enforce(operation, &block)
    operation = Operations.from_string(operation)
    return if operation.nil?
    if block_given?
      return capture(&block) if operation == :all
      return '' if operation == :nobody
      return capture(&block) if operation.accepts_scope?(current_user.named_scope)
      ''
    end
    ''
  end

end
