module Operations
  module Errors
    class InvalidFieldError < BaseException
      def initialize(missing_method, klass, expected_class)
        super("The field #{missing_method} for class #{klass} is not a #{expected_class}.")
      end
    end
  end
end
