module Operations
  module Errors
    class NotAuthorizedError < BaseException
      def initialize(operation=nil, msg=nil)
        cause = msg || "unknown"
        operation_name = operation ? operation.name : 'insufficient privileges'
        super("Operation access denied: #{operation_name}. Cause: #{cause}")
      end
    end
  end
end
