module Operations
  module Errors
    class NotImplementedError < BaseException
      def initialize(klass, missing_method)
        super("The class #{klass} does not implement the method #{missing_method}")
      end
    end
  end
end
