module Operations
  module Errors
    class NotLoggedInError < BaseException
      def initialize(operation=nil)
        operation_name = operation.nil? ? 'unknown' : (operation.description || operation.name)
        super("You must log in before running this action. Attempted operation `#{operation_name}'.")
      end
    end
  end
end
