Rails.application.routes.draw do
  namespace :admin do
    resources :operations, only: [ :index ]
    namespace :operations do
      resources :users, param: :value, only: [ :index, :create, :update, :delete ] do
        get :details, on: :member
      end
      resources :actions, param: :uuid, only: [ :index, :create, :update, :delete ] do
        get :details, on: :member
      end
    end
  end
end
