module Operations
  module Errors
    class BaseException < StandardError
    end
  end
end

require "operations/errors/not_implemented_error"
require "operations/errors/invalid_operation_error"
require "operations/errors/invalid_field_error"
require "operations/errors/not_authorized_error"
require "operations/errors/not_logged_in_error"
